summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Johannes Schoepfer2019-11-16 15:00:27 +0100
committer Willy Sudiarto Raharjo2019-11-16 15:00:27 +0100
commit1931955156bf53b21a7d2d68e76a74e5e626f336 (patch)
tree1a6329298c71e6f0314a28ec94f768fde33e7b4a
parent29879af132be024d8487022500768b24d29c578e (diff)
downloadslackbuilds-1931955156bf53b21a7d2d68e76a74e5e626f336.tar.gz
libraries/libgig: Updated for version 4.2.0.
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--libraries/libgig/README5
-rw-r--r--libraries/libgig/libgig.SlackBuild53
-rw-r--r--libraries/libgig/libgig.info12
-rw-r--r--libraries/libgig/slack-desc6
4 files changed, 51 insertions, 25 deletions
diff --git a/libraries/libgig/README b/libraries/libgig/README
index 69ac1fce8c..7488fe0ed1 100644
--- a/libraries/libgig/README
+++ b/libraries/libgig/README
@@ -1 +1,4 @@
-libgig is a C++ library for loading and modifying Gigasampler and DLS files.
+libgig is a C++ library for loading, modifying existing and creating new
+Gigasampler (.gig) files and DLS (Downloadable Sounds) Level 1/2 files,
+KORG sample based instruments (.KSF and .KMP files), SoundFont v2 (.sf2)
+files and AKAI sampler data.
diff --git a/libraries/libgig/libgig.SlackBuild b/libraries/libgig/libgig.SlackBuild
index 8ee5c70743..7026b615bc 100644
--- a/libraries/libgig/libgig.SlackBuild
+++ b/libraries/libgig/libgig.SlackBuild
@@ -1,15 +1,37 @@
#!/bin/sh
-# Slackware build script for <libgig>
+
+# Slackware build script for libgig
+
# Written by Michales Michaloudes korgie@gmail.com
+# Copyright 2019 Johannes Schoepfer, Germany
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
PRGNAM=libgig
-VERSION=${VERSION:-3.3.0}
-BUILD=${BUILD:-2}
+VERSION=${VERSION:-4.2.0}
+BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) ARCH=i486 ;;
+ i?86) ARCH=i586 ;;
arm*) ARCH=arm ;;
*) ARCH=$( uname -m ) ;;
esac
@@ -20,8 +42,8 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
@@ -44,10 +66,10 @@ tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
cd $PRGNAM-$VERSION
chown -R root:root .
find -L . \
- \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 -o -perm 511 \) \
- -exec chmod 755 {} \; -o \
- \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
- -exec chmod 644 {} \;
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
@@ -60,16 +82,17 @@ CXXFLAGS="$SLKCFLAGS" \
--docdir=/usr/doc/$PRGNAM-$VERSION \
--build=$ARCH-slackware-linux
-make -j1
+make
make install DESTDIR=$PKG
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
-( cd $PKG/usr/man
- find . -type f -exec gzip -9 {} \;
- for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
-)
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cd $TMP/$PRGNAM-$VERSION/
diff --git a/libraries/libgig/libgig.info b/libraries/libgig/libgig.info
index 9e9200baf5..6462f2d5be 100644
--- a/libraries/libgig/libgig.info
+++ b/libraries/libgig/libgig.info
@@ -1,10 +1,10 @@
PRGNAM="libgig"
-VERSION="3.3.0"
-HOMEPAGE="http://www.linuxsampler.org"
-DOWNLOAD="http://download.linuxsampler.org/packages/libgig-3.3.0.tar.bz2"
-MD5SUM="fc33e8e948ed2db9b7003a3ecdb78549"
+VERSION="4.2.0"
+HOMEPAGE="https://www.linuxsampler.org/libgig/"
+DOWNLOAD="https://download.linuxsampler.org/packages/libgig-4.2.0.tar.bz2"
+MD5SUM="5ab37d9d7532a4cd0ed5508b08b8d1d5"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES=""
-MAINTAINER="Michales Michaloudes"
-EMAIL="korgie@gmail.com"
+MAINTAINER="Johannes Schoepfer"
+EMAIL="slackbuilds@schoepfer.info"
diff --git a/libraries/libgig/slack-desc b/libraries/libgig/slack-desc
index c93681969d..4dc78ecded 100644
--- a/libraries/libgig/slack-desc
+++ b/libraries/libgig/slack-desc
@@ -8,10 +8,10 @@
|-----handy-ruler------------------------------------------------------|
libgig: libgig (library for Gigasampler and DLS files)
libgig:
-libgig: libgig is a library for loading and modifying
-libgig: Gigasampler and DLS files.
-libgig:
+libgig: C++ library for loading, modifying and creating .gig, .ksf, .kmp,
+libgig: .sf2 and DLS files.
libgig:
+libgig: Homepage: https://www.linuxsampler.org/libgig/
libgig:
libgig:
libgig: